%define module_name	qla2x00
%define module_version	7.03.00
%define module_release	alt1.6

%define kversion	2.4.29
%define krelease	alt6
%define flavour		std-smp

%define module_dir	/lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release

Summary: QLogic Fibre Channel Driver
License: GPL
Group: System/Kernel and hardware
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux

BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-source-%module_name-%module_version
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides:  %module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: %module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: %module_name-%kversion-%flavour-%krelease > %version-%release

Prereq: coreutils
Prereq:	modutils
Prereq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86
Provides: %module_name

%description
This package contains QLogic QLA2x00 linux kernel driver with
support of the following features:
 * FCAL - direct attach loop
 * Point-to-point
 * Fabric support
 * Initiator mode only
 * Fault recovery on down loops
 * Persistent binding 
 * Extended LUN support up to 255 LUNs
 * FC tape support
 * Non Failover and Failover capability

%prep
rm -rf kernel-source-%module_name-%module_version
%__tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
%make -C %_usrsrc/linux-%kversion-%flavour modules SUBDIRS=`pwd`

%install
%__mkdir_p %buildroot%module_dir
%__install -p -m644 *.o %buildroot%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Thu Jun 09 2005 Sergey Vlasov <vsu@altlinux.ru> 7.03.00-alt1.6
- Version 7.03.00.

* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 6.05.00-alt17.b9.6
- Rebuild for kernel 2.4.28.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 6.05.00-alt16.b9.6
- Define %%module_release macro like other kernel-modules-* packages do.
- Rebuild for kernel 2.4.27.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 6.05.00-alt15.b9.6
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 6.05.00-alt14.b9.6
- Rebuild for kernel 2.4.26.

* Mon Apr 26 2004 Sergey Vlasov <vsu@altlinux.ru> 6.05.00-alt13.b9.6
- Fix mode for device node in /proc.

* Sun Feb 29 2004 Sergey Vlasov <vsu@altlinux.ru> 6.05.00-alt12.b9.6
- Updated for the new compiler version selection scheme (GCC_VERSION).
- Fixed description (#3572).

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 6.05.00-alt11.b9.6
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 11 2003 Sergey Vlasov <vsu@altlinux.ru> 6.05.00-alt10.b9.6
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 6.05.00-alt9.b9.6
- imported to ALT Linux kernel CVS

* Wed Sep 03 2003 Ed V. Bartosh <ed@altlinux.org> 6.05.00-alt9.b9
- rebuilt with 2.4.21-alt23

* Mon Sep  1 2003 Zhenja Kaluta <tren@altlinux.ru> 6.05.00-alt8.b9
- rebuild with 2.4.21-aw-alt22

* Mon Aug 25 2003 Zhenja Kaluta <tren@altlinux.ru> 6.05.00-alt7.b9
- rebuilt with 2.4.21-alt21

* Wed Aug 20 2003 Ed V. Bartosh <ed@altlinux.org> 6.05.00-alt6.b9
- rebuilt with 2.4.21-alt19

* Mon Aug 11 2003 Zhenja Kaluta <tren@altlinux.ru> 6.05.00-alt5.b9
- rebuilt with 2.4.21-alt18

* Fri Aug  8 2003 Zhenja Kaluta <trinfo@mail.ru> 6.05.00-alt4.b9
- rebuilt with 2.4.21-alt17

* Thu Aug 07 2003 Ed V. Bartosh <ed@altlinux.org> 6.05.00-alt3.b9
- rebuilt with 2.4.21-alt14

* Tue Aug 05 2003 Zhenja Kaluta <tren@altlinux.ru> 6.05.00-alt2.b9
- aw-smp-2.4.21-alt13

* Fri Aug  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 6.05.00-alt1.b9
- Initial release

